<!--
 - Created by mzelina@sk.ibm.com on 26/03/2019.
 -->

<apex:page id="SPCC_BPORelatedList" standardController="SPCC_Engineering_Work_Request__c" extensions="SPCC_EWRDetailCtrlX"
           showHeader="true" sideBar="true" docType="html-5.0" standardStylesheets="true"
           cache="true" tabStyle="SPCC_Engineering_Work_Request__c" lightningStylesheets="true" >

    <apex:pageblock id="blanketPOs" >
        <apex:pageBlockTable value="{!BPOs}" var="bpoWrapper" rendered="{!BPOs.size > 0}">
            <apex:column headerValue="{!$ObjectType.SPCC_Blanket_Purchase_Order__c.fields.Name.label}">
                <apex:outputLink value="/{!bpoWrapper.bpo.Id}" target="_blank">{!bpoWrapper.bpo.Name}</apex:outputLink>
            </apex:column>
            <apex:column value="{!bpoWrapper.bpo.Description__c}"/>
            <apex:column value="{!bpoWrapper.bpo.Vendor_Account__r.Name}"/>
            <apex:column value="{!bpoWrapper.bpo.Estimate_to_Complete__c}"/>
            <apex:column value="{!bpoWrapper.totalAmount}" headerValue="{!$ObjectType.SPCC_Blanket_Purchase_Order__c.fields.Incurred_Cost_BPO_LineItems__c.label}"/>
            <apex:column value="{!bpoWrapper.bpo.CreatedDate}"/>
        </apex:pageBlockTable>
        <apex:outputLabel value="No records to display" rendered="{!BPOs.size == 0}" />
        
    </apex:pageblock>

</apex:page>